// 报告模块

import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 研报详情
 * @param report_id 
 */
export const apiReportDetail=params=>{
    return httpGet('/report/detail',params)
}

/**
 * 章节详情
 * @param report_chapter_id
 */
export const apiChapterDetail=params=>{
    return httpGet('/report/chapter/detail',params)
}

/**
 * 研报首页顶部权限菜单
 */
export const apiReportIndexPageAuthList=()=>{
    return httpGet('/company/getPermissionList',{})
}

/**
 * 研报首页报告列表
 * @param chart_permission_id
 */
export const apiReportIndexPageList=params=>{
    return httpGet('/report/collect',params)
}

/**
 * 研报搜索
 * @param key_word
 */
export const apiReportSearch=params=>{
    return httpGet('/report/search',params)
}

/**
 * 分类数据
 */
export const apiReportClassify=()=>{
    return httpGet('/classify/ficc',{})
}

/**
 * 研报列表
 * @param classify_id_first
 * @param key_word
 */
export const apiReportList=params=>{
    return httpGet('/report/list',params)
}

/**
 * 二级分类列表
 * @param classify_id_first
 * @param classify_id_second
 */
export const apiSubClassifyList=params=>{
    return httpGet('/classify/simple/list',params)
}

/**
 * 专栏列表
 * @param classify_id_first
 */
export const apiSpecialColumnList=params=>{
    return httpGet('/classify/list',params)
}

/**
 * 专栏详情
 * @param classify_id_second
 */
export const apiSpecialColumnDetail=params=>{
    return httpGet('/classify/detail',params)
}

/**
 * 专栏详情中目录
 * @param classify_id_second
 * @param current_index
 * @param page_size
 */
export const apiSpecialColumnReportList=params=>{
    return httpGet('/classify/detail/reports',params)
}

/**
 * 章节详情中指标数据
 * @param report_chapter_id
 */
export const apiChapterTickerValue=params=>{
    return httpGet('/report/chapter/ticker',params)
}

/**
 * 报告对应的ppt图片
 * @param report_id 报告id
 * @param report_chapter_id 报告章节id
 */
export const apiReportPPtImgs=params=>{
    return httpGet('/report/ppt_img',params)
}

/**
 * 品种类型报告中品种筛选项
 * @param classify_id 分类id
 */
export const apiGoodsPermissionList=params=>{
    return httpGet('/company/permission/commodities',params)
}

/**
 * 按品种查询报告列表
 * @param chart_permission_id 品种id
 * @param classify_id 分类id
 * @param current_index
 * @param page_size
 */
export const apiReportListForVariety=params=>{
    return httpGet('/report/variety/list',params)
}

/**
 * 获取列表类型报告中的子目录数据
 * @param classify_id
 */
export const apiReportClassifyMenuList=params=>{
    return httpGet('/classify/menu/list',params)
}

/**
 * 设置周报音频播放的播放清单
 * @param type_id 章节id
 * @param is_close 是否关闭:1,关闭,0:不关闭
 */
export const apiReportChapterAudioSet=params=>{
    return httpPost('/report/report_chapter/set',params)
}

/**
 * 报告详情分享图片
 * @param source （目前写死的）rddp_share_img
 * @param pars json字符串类型参数{title:图片上的富文本,time_format:时间（没啥用）,background_img:背景图}
 */
export const apiRddpShareImg=params=>{
    return httpPost('/report/detail/rddp_share_img',{source:'rddp_share_img',...params})
}

/**
 * 获取PDF详情
 * @param pdf_id 
 * @returns 
 */
export const apiGetPDFDetail = params=>{
    return httpGet('/report/pdf/detail',params)
}

/**
 * banner埋点
 * @param  "banner_url": "wwwwwwww",
 * @param   "first_source": 1, //一级来源 1小程序移动 2小程序pc 3研报官网
 * @param   "second_source": 1 //二级来源 1首页 2研报详情页
 * @returns 
 */
export const apiPublicBannerMark = params=>{
    return httpPost('/public/banner/mark',params)
}

/**
 * banner图列表
 * @param  "banner_url": "wwwwwwww",
 * @param   "first_source": 1, //一级来源 1小程序移动 2小程序pc 3研报官网
 * @param   "second_source": 1 //二级来源 1首页 2研报详情页
 * @returns 
 */
export const apiPublicBannerList = params=>{
    return httpGet('/public/banner/list',params)
}

/**
 * banner图获取报名二维码
 * @returns 
 */
export const bannerGetQrcode = params=>{
    return httpGet('/public/banner/get_qrcode',params)
}
/**
 * 报名调研活动

 * @returns 
 */
export const bannerSignup = params=>{
    return httpGet('/public/banner/signup',params)
}

/**
 * banner调研长图保存

 * @returns 
 */
export const bannerDownload = params=>{
    return httpPost('/public/banner/download',params)
}